Ogre::BackgroundProcessResult Struct Reference
Resources

Encapsulates the result of a background queue request. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions

| BackgroundProcessResult ()

## Public Attributes

bool | error
| Whether an error occurred.
String | message
| Any messages from the process.

## Detailed Description

Encapsulates the result of a background queue request.

Definition at line 50 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

Ogre::BackgroundProcessResult::BackgroundProcessResult | ( |  | ) |

Definition at line 57 of file OgreResourceBackgroundQueue.h.

## Member Data Documentation

bool Ogre::BackgroundProcessResult::error

Whether an error occurred.

Definition at line 53 of file OgreResourceBackgroundQueue.h.

String Ogre::BackgroundProcessResult::message

Any messages from the process.

Definition at line 55 of file OgreResourceBackgroundQueue.h.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:36